Package org.apache.jmeter.report.core

# Class ConvertException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.jmeter.report.core.ConvertException

All Implemented Interfaces:
  `Serializable`

public class ConvertException extends Exception
The class ConvertException provides an exception when ConvertStringMethod.execute fails.

Since:
  3.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConvertException()`
  Deprecated.
  UNIT TEST ONLY
  `ConvertException(String value, String type)`
  Instantiates a new convert exception.
  `ConvertException(String value, String type, Throwable cause)`
  Instantiates a new convert exception.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConvertException

    public ConvertException(String value, String type)
    Instantiates a new convert exception.
    Parameters:
      `value` - the value
      `type` - the type

  - ### ConvertException

    public ConvertException(String value, String type, Throwable cause)
    Instantiates a new convert exception.
    Parameters:
      `value` - the value
      `type` - the type
      `cause` - the cause

  - ### ConvertException

    @Deprecated public ConvertException()
    Deprecated.
    UNIT TEST ONLY
    DO NOT USE - UNIT TEST ONLY